Bug 34411 - mysql maxes out at 4GB file size for mysql tables (loading tables stops here)
Summary: mysql maxes out at 4GB file size for mysql tables (loading tables stops here)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-03 01:29 UTC by Kurt Zingler
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-13 14:46:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kurt Zingler 2001-04-03 01:29:21 UTC
I have 2 machines that are having the same problem
(2CPU/PIII with wolverine and 1CPU/PII with fisher)

There is one very large table in a mysql db I am using.
When I try to load that table, it refuses to add any more records (380K records, 4GB [4,294,939,020]).
There are a number of related bugs for tcsh and db2, but they all have a problem at the old 2GB limit.
I have tried this from both the bash and tcsh and had similar results.

I am using ext2, with the default 4096 block size, on 9GB and 18GB drives

Comment 1 Trond Eivind Glomsrxd 2001-04-03 15:51:33 UTC
Can you try the mysql rpms (3.23.36-1) from http://people.redhat.com/teg/mysql?

Comment 2 Trond Eivind Glomsrxd 2001-04-06 19:43:04 UTC
Have you had the time to do this?

Also, how do you try to load it?

Comment 3 Kurt Zingler 2001-04-06 22:50:51 UTC
I upgraded mysql, mysql-devel, and mysql-server, and then I tried to reload additional data to that tablespace and
I got the same error.
I attempted to load data using:
"mysql> load data local infile 'dna-table.10' replace into dna"
and I get:
"I get "ERROR 2013: Lost connection to MySQL server during query" as soon as I get to the first new (non-replace) record.
If I do a full new load
"mysql> load data local infile 'dna-table.11' into dna"
I get and immediate server disconnect
ERROR 2006: MySQL server has gone away
No connection.  Trying to reconnect...
Connection id:   6
Current database: ensembl

ERROR 2013: Lost connection to MySQL server during query

Sorry for the delay in the reply.

Comment 4 Kurt Zingler 2001-04-07 01:30:25 UTC
I tried a client upgrade as well.  As expected, that made no difference.

Comment 5 Trond Eivind Glomsrxd 2001-04-13 14:46:08 UTC
I've confirmed that MySQL has problems with files bigger than 4GB... it does
identify large file support during configure, but it doesn't seem to use it.

Comment 6 Trond Eivind Glomsrxd 2001-04-17 18:41:01 UTC
Tables need to be configured in a specific way... take a look at

http://www.mysql.com/doc/T/a/Table_size.html



Note You need to log in before you can comment on or make changes to this bug.